## directsoundsink directsoundsink |

## Types and Values

struct | GstDirectSoundSink

## Description

## Synopsis

### Element Information

plugin | directsound
author | Sebastien Moutte <sebastien@moutte.net>
class | Sink/Audio

### Element Pads

## Functions

## Types and Values

### struct GstDirectSoundSink

    struct GstDirectSoundSink {
      GstAudioSink sink;

      /* directsound object interface pointer */
      LPDIRECTSOUND pDS;

      /* directsound sound object interface pointer */
      LPDIRECTSOUNDBUFFER pDSBSecondary;

      /* directSound buffer size */
      guint buffer_size;

      /* offset of the circular buffer where we must write next */
      guint current_circular_offset;

      guint bytes_per_sample;

      /* current volume setup by mixer interface */
      glong volume;
      gboolean mute;

      /* current directsound device ID */
      gchar * device_id;

      GstCaps *cached_caps;
      /* lock used to protect writes and resets */
      GMutex dsound_lock;

      gboolean first_buffer_after_reset;

      GstAudioRingBufferFormatType type;
    };